Bug 532240 - IOK no longer shows up under Applications-->Accessories.
Summary: IOK no longer shows up under Applications-->Accessories.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iok
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-31 18:55 UTC by Gideon Mayhak
Modified: 2011-10-05 09:39 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-05 09:39:12 UTC


Attachments (Terms of Use)

Description Gideon Mayhak 2009-10-31 18:55:23 UTC
Description of problem:
As of the most recent update, IOK doesn't show up under the expected menu location of Applications-->Accessories.  I noticed the following in the .desktop file:

NotShowIn=GNOME;

How am I supposed to access IOK if it's not in the menus?  I use it quite a bit once logged in, and I much prefer it to GOK.  Is there a new method of bringing it up without having to type iok in a terminal?


Version-Release number of selected component (if applicable):
iok-1.3.8-1.fc11.x86_64


How reproducible:
Every time.


Steps to Reproduce:
1. Update IOK
2. Go to Applications-->Accessories
3. Reinstall IOK and try again

  
Actual results:
Nothing in the menus.


Expected results:
IOK in the Applications-->Accessories menu.


Additional info:
If you can show me where it's easily accessible under a different menu, that's fine, but I haven't found it yet.

Comment 1 A S Alam 2009-11-01 02:39:38 UTC
you can get iok with command line (iok or iok -a). Yes it hide from Menu.
Please check bz#529125 for more information.

Comment 2 Parag Nemade 2009-11-01 08:41:07 UTC
got request to remove it from accessories in bug 529125. I agree that there are many keymaps that are not handled in ibus and very few are integrated with iok in ibus so most of users are now unable to use iok and iok might loose its importance. 

mclasen,
   Do you still want to hide iok from accessories?

What iok supports in ibus panel is only inscript keymaps.
When iok used as independent application, iok provides much more functionality like supporting nepali keymaps, xkb keymaps, custom keymaps which cannot be accessed now in Fedora.

Comment 3 Jens Petersen 2009-11-02 04:28:29 UTC
If we are not installing by default any more
then I think there is no problem to have it in menu.

Comment 4 Jens Petersen 2009-11-02 05:51:20 UTC
(In reply to comment #3)
> If we are not installing by default any more
> then I think there is no problem to have it in menu.  

Sorry I was confused since it is currently pulled in by ibus-m17n.

Comment 5 fujiwara 2009-11-02 06:15:55 UTC
If a language specified tool is shown on all languages, I think it looks ugly.
E.g. "Indic keyboard", "French keyboard", "Japanese keyboard" on Application
menu.

So if you remove the .desktop menu item with NotShowIn=GNOME(i.e. will not fix
this bug), I have no problem.

If you want to show a language specific tool, I'd like to ask if the language
specific tool can be merged with another tool(likes gok) at first.

If the language tool cannot be merged, I'd like to ask if we can add other
languages in the language specific tool. E.g. "Indic Onscreen keyboard" is
changed to "Ibus Onscreen keyboard" and iok could be launched with the indic
keyboard from the menu item.
AFAIK, iok shows "xkb-foo" keyboard layout so maybe I can enhance it as the
general tool for example.

Comment 6 Parag Nemade 2009-11-02 14:51:50 UTC
(In reply to comment #5)
> If a language specified tool is shown on all languages, I think it looks ugly.
> E.g. "Indic keyboard", "French keyboard", "Japanese keyboard" on Application
> menu.

> So if you remove the .desktop menu item with NotShowIn=GNOME(i.e. will not fix
> this bug), I have no problem.

> If you want to show a language specific tool, I'd like to ask if the language
> specific tool can be merged with another tool(likes gok) at first.

there is difference between gok and iok. iok supports Indic inscript mim keymap files as well as indic xkb keymap parsing.
We were in need of simple onscreen GUI that provide much more functionality to end users. So we developed it separately.

> If the language tool cannot be merged, I'd like to ask if we can add other
> languages in the language specific tool. E.g. "Indic Onscreen keyboard" is
> changed to "Ibus Onscreen keyboard" and iok could be launched with the indic
> keyboard from the menu item.

iok supports 1:1 keymappings parsing. And I see other m17n keymaps are not 1:1 so they cannot be enabled in iok.

> AFAIK, iok shows "xkb-foo" keyboard layout so maybe I can enhance it as the
> general tool for example.  
As xkb indic keymaps are nothing but similar to Indic Inscript standard(m17n keymaps).

Comment 7 Parag Nemade 2009-11-03 00:59:06 UTC
I will fix this bug in devel once F12 released and if required can remove support from ibus.

Comment 8 Jens Petersen 2009-11-03 01:49:49 UTC
As we talked about: please don't "remove" iok support from
ibus-m17n but make it a runtime check.

Comment 9 Matthias Clasen 2009-11-03 03:53:48 UTC
I think comment #5 captures the gist of what I was going for with my request to hide it. If it is an 'indic keyboard' it is not a general purpose tool and should not be in accessories.

But even if the language-specificity were removed from the name, I still have reservations about having it in the accessories menu. Because it is not an application that you can start to do something with. You can launch the dictionary and look up a work, you can launch the calculator and do some math, but if you launch iok, you can do ... nothing, because it is only useful as a tool to generate input for some other application. In other words, it is very naturally an _input method_.

Comment 10 Gideon Mayhak 2009-11-18 22:07:45 UTC
Is there an "easy" way to launch IOK using only a mouse once logged in?  That's really my main concern.

Comment 11 fujiwara 2009-11-19 01:16:34 UTC
I agree with comment #9 totally while I'd like to add other keyboards in IOK.

On the other hand, I guess it would be fine for Indian people that the right click menu on IBus applet shows IOK instead of the GNOME Panel menu items?

Another workaround might be to remove it in installation CD/DVD by default.

Comment 12 Gideon Mayhak 2009-11-19 19:51:57 UTC
I want to clarify that I am an English (American) speaker only, and I use IOK as a nice, compact en_US onscreen keyboard.  As far as I can tell, the name "Indic" is the only thing "Indian" about the program.

Comment 13 Parag Nemade 2009-11-20 04:45:03 UTC
Considering few peoples who are against reverting the fix that removed iok from menu because of iok contains word "Indic" in it, I see helpless here. So for now this change will be forever in Fedora.

or you can just create shortcut file on desktop =>  ~/Desktop/iok.desktop
#!/usr/bin/env xdg-open

[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Terminal=false
Name[en_IN]=iok
Exec=/usr/bin/iok
Icon[en_IN]=iok
Comment[en_IN]=Indic Onscreen Keyboard
Name=iok
Comment=Indic Onscreen Keyboard
Icon=iok



This will help you start iok using mouse.

Comment 14 Parag Nemade 2009-11-20 04:51:55 UTC
mclasen,
  Lets assume iok name changed to international onscreen keyboard and iok got other languages CJK support in it. Do you still see difference between iok and matchbox-keyboard,florence,fvkbd,cellwriter,kvkbd?

Can we also request those package owners to remove desktop file as they also seem tool to generate input?

Comment 15 Matthias Clasen 2009-11-23 06:14:16 UTC
To a first degree, I only care about iok and not about matchbox, florence, cellwriter, etc, because iok is on the desktop spin, whereas none of the others are. So you have to explicitly install those, and then it is probably fine to have them show up in the menus.

That might point to some compromise here: you could have a subpackage that is not installed by default and makes iok show up in the menus.

Comment 16 Jens Petersen 2009-12-16 06:51:12 UTC
I think we should add a virtual keyboard item to ibus menu (button3 command menu probably) - in fact I think ibus needs an integrated virtual kbd.

But how should non-IM users launch iok is the question I guess?

Comment 17 Jens Petersen 2009-12-16 06:55:03 UTC
Maybe the keyboard selector applet should provide a virtual keyboard too?
I would like to see it and ibus come closer together.

Comment 18 Bug Zapper 2010-04-28 11:02:50 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 19 Bug Zapper 2010-07-30 10:46:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.